package de.intevation.gnv.math;

import java.util.Map;
import java.util.HashMap;
import java.util.List;

import java.io.Serializable;

/**
 *  @author Ingo Weinzierl
 *  @author Sascha L. Teichmann
 */
public class AttributedXYColumns
implements   Serializable
{
    protected List<? extends XYColumn> columns;
    protected Map                      attributes;

    public AttributedXYColumns() {
    }

    public AttributedXYColumns(List<? extends XYColumn> columns) {
        this(columns, null);
    }

    public AttributedXYColumns(List<? extends XYColumn> columns, Map attributes) {
        this.columns    = columns;
        this.attributes = attributes;
    }

    public Object getAttribute(Object key) {
        return attributes.get(key);
    }

    public void setAttribute(Object key, Object value) {
        if (attributes == null) {
            attributes = new HashMap();
        }

        attributes.put(key, value);
    }

    public List<? extends XYColumn> getXYColumns() {
        return columns;
    }

    public void setXYColumns(List<? extends XYColumn> columns) {
        this.columns = columns;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8:
